/// <reference types="node" resolution-mode="require"/>
import { Fr } from '../fields/index.js';
/**
 * AztecAddress represents a 32-byte address in the Aztec Protocol.
 * It provides methods to create, manipulate, and compare addresses.
 * The maximum value of an address is determined by the field modulus and all instances of AztecAddress.
 * It should have a value less than or equal to this max value.
 * This class also provides helper functions to convert addresses from strings, buffers, and other formats.
 */
export declare class AztecAddress extends Fr {
    constructor(buffer: Buffer);
    static fromField(fr: Fr): AztecAddress;
    static fromBigInt(value: bigint): AztecAddress;
    static fromString(buf: string): AztecAddress;
}
//# sourceMappingURL=index.d.ts.map