/// <reference types="node" resolution-mode="require"/>
/**
 * Computes the Keccak-256 hash of the given input buffer.
 *
 * @param input - The input buffer to be hashed.
 * @returns The computed Keccak-256 hash as a Buffer.
 */
export declare function keccak(input: Buffer): Buffer;
/**
 * Computes the keccak-256 hash of a given input string and returns the result as a hexadecimal string.
 */
export declare function keccak256String(input: string): string;
/**
 * Computes the Keccak-224 hash of the given input buffer.
 *
 * @param input - The input buffer to be hashed.
 * @returns The computed Keccak-224 hash as a Buffer.
 */
export declare function keccak224(input: Buffer): Buffer;
//# sourceMappingURL=index.d.ts.map