/// <reference types="node" resolution-mode="require"/>
/**
 * Create a pedersen commitment (point) from an array of input fields.
 * Left pads any inputs less than 32 bytes.
 */
export declare function pedersenCommit(input: Buffer[]): Buffer[];
/**
 * Create a pedersen hash (field) from an array of input fields.
 * Left pads any inputs less than 32 bytes.
 */
export declare function pedersenHash(input: Buffer[], index?: number): Buffer;
/**
 * Create a pedersen hash from an arbitrary length buffer.
 */
export declare function pedersenHashBuffer(input: Buffer, index?: number): Buffer;
//# sourceMappingURL=pedersen.wasm.d.ts.map